GDB (xrefs)

Public Attributes | List of all members
arm_linux_hwbp_cap Struct Reference

## Public Attributes
gdb_byte | arch
gdb_byte | max_wp_length
gdb_byte | wp_count
gdb_byte | bp_count

## Detailed Description

Definition at line 558 of file arm-linux-nat.c.

## Member Data Documentation

## ◆ arch

gdb_byte arm_linux_hwbp_cap::arch

Definition at line 560 of file arm-linux-nat.c.

Referenced by arm_linux_get_hwbp_cap().

## ◆ bp_count

gdb_byte arm_linux_hwbp_cap::bp_count

Definition at line 563 of file arm-linux-nat.c.

Referenced by arm_linux_get_hw_breakpoint_count(), and arm_linux_get_hwbp_cap().

## ◆ max_wp_length

gdb_byte arm_linux_hwbp_cap::max_wp_length

Definition at line 561 of file arm-linux-nat.c.

Referenced by arm_linux_get_hwbp_cap(), arm_linux_hw_watchpoint_initialize(), and arm_linux_region_ok_for_hw_watchpoint().

## ◆ wp_count

gdb_byte arm_linux_hwbp_cap::wp_count

Definition at line 562 of file arm-linux-nat.c.

Referenced by arm_linux_get_hw_watchpoint_count(), arm_linux_get_hwbp_cap(), and arm_linux_region_ok_for_hw_watchpoint().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/arm-linux-nat.c